## org.codehaus.groovy.runtime
Class DefaultCachedMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.DefaultCachedMethodKey

    public class DefaultCachedMethodKey

extends MethodKey

A default implementation of MethodKey

Version:
  $Revision: 7922 $
Author:
  James Strachan

Constructor Summary
`DefaultCachedMethodKey(Class sender, String name, CachedClass[] parameterTypes, boolean isCallToSuper)`

Method Summary
`int` `getParameterCount()`
`Class` `getParameterType(int index)`

Methods inherited from class org.codehaus.groovy.runtime.MethodKey
`createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultCachedMethodKey

    public DefaultCachedMethodKey(Class sender,
                                  String name,
                                  CachedClass[] parameterTypes,
                                  boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

  Specified by:
    `getParameterCount` in class `MethodKey`

### getParameterType

    public Class getParameterType(int index)

  Specified by:
    `getParameterType` in class `MethodKey`

Copyright © 2003-2008 The Codehaus. All rights reserved.